// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/errs/errs.proto

package errs

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type ERROR int32

const (
	ERROR_UNSPECIFIED                       ERROR = 0
	ERROR_COMMON_REQUEST_REQUIRED           ERROR = 1
	ERROR_COMMON_INVALID_ARGUMENT           ERROR = 2
	ERROR_COMMON_USER_REQUIRED              ERROR = 3
	ERROR_COMMON_FIELD_REQUIRED             ERROR = 4
	ERROR_COMMON_WRONG_SORT_DATA            ERROR = 5
	ERROR_COMMON_SORTING_BY_FIELD_FORBIDDEN ERROR = 6
	ERROR_COMMON_DB_ERROR                   ERROR = 7
	ERROR_COMMON_DB_CONSTRAIN               ERROR = 8
	ERROR_COMMON_NOT_FOUND                  ERROR = 9
	ERROR_ACCOUNTING_INTERNAL               ERROR = 1000
	ERROR_DICTIONARY_INTERNAL               ERROR = 2000
	ERROR_IMAGE_INTERNAL                    ERROR = 3000
	ERROR_LANGUAGE_INTERNAL                 ERROR = 4000
	ERROR_MESSAGE_INTERNAL                  ERROR = 5000
	ERROR_MESSAGE_MOBILE_INTERNAL           ERROR = 6000
	ERROR_MESSAGE_WEB_INTERNAL              ERROR = 7000
	ERROR_ORDER_INTERNAL                    ERROR = 8000
)

// Enum value maps for ERROR.
var (
	ERROR_name = map[int32]string{
		0:    "UNSPECIFIED",
		1:    "COMMON_REQUEST_REQUIRED",
		2:    "COMMON_INVALID_ARGUMENT",
		3:    "COMMON_USER_REQUIRED",
		4:    "COMMON_FIELD_REQUIRED",
		5:    "COMMON_WRONG_SORT_DATA",
		6:    "COMMON_SORTING_BY_FIELD_FORBIDDEN",
		7:    "COMMON_DB_ERROR",
		8:    "COMMON_DB_CONSTRAIN",
		9:    "COMMON_NOT_FOUND",
		1000: "ACCOUNTING_INTERNAL",
		2000: "DICTIONARY_INTERNAL",
		3000: "IMAGE_INTERNAL",
		4000: "LANGUAGE_INTERNAL",
		5000: "MESSAGE_INTERNAL",
		6000: "MESSAGE_MOBILE_INTERNAL",
		7000: "MESSAGE_WEB_INTERNAL",
		8000: "ORDER_INTERNAL",
	}
	ERROR_value = map[string]int32{
		"UNSPECIFIED":                       0,
		"COMMON_REQUEST_REQUIRED":           1,
		"COMMON_INVALID_ARGUMENT":           2,
		"COMMON_USER_REQUIRED":              3,
		"COMMON_FIELD_REQUIRED":             4,
		"COMMON_WRONG_SORT_DATA":            5,
		"COMMON_SORTING_BY_FIELD_FORBIDDEN": 6,
		"COMMON_DB_ERROR":                   7,
		"COMMON_DB_CONSTRAIN":               8,
		"COMMON_NOT_FOUND":                  9,
		"ACCOUNTING_INTERNAL":               1000,
		"DICTIONARY_INTERNAL":               2000,
		"IMAGE_INTERNAL":                    3000,
		"LANGUAGE_INTERNAL":                 4000,
		"MESSAGE_INTERNAL":                  5000,
		"MESSAGE_MOBILE_INTERNAL":           6000,
		"MESSAGE_WEB_INTERNAL":              7000,
		"ORDER_INTERNAL":                    8000,
	}
)

func (x ERROR) Enum() *ERROR {
	p := new(ERROR)
	*p = x
	return p
}

func (x ERROR) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (ERROR) Descriptor() protoreflect.EnumDescriptor {
	return file_v1_errs_errs_proto_enumTypes[0].Descriptor()
}

func (ERROR) Type() protoreflect.EnumType {
	return &file_v1_errs_errs_proto_enumTypes[0]
}

func (x ERROR) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use ERROR.Descriptor instead.
func (ERROR) EnumDescriptor() ([]byte, []int) {
	return file_v1_errs_errs_proto_rawDescGZIP(), []int{0}
}

var File_v1_errs_errs_proto protoreflect.FileDescriptor

var file_v1_errs_errs_proto_rawDesc = []byte{
	0x0a, 0x12, 0x76, 0x31, 0x2f, 0x65, 0x72, 0x72, 0x73, 0x2f, 0x65, 0x72, 0x72, 0x73, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x12, 0x10, 0x66, 0x63, 0x70, 0x2e, 0x65, 0x72, 0x72, 0x73, 0x2e, 0x76,
	0x31, 0x2e, 0x65, 0x72, 0x72, 0x73, 0x2a, 0x9e, 0x04, 0x0a, 0x05, 0x45, 0x52, 0x52, 0x4f, 0x52,
	0x12, 0x0f, 0x0a, 0x0b, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45, 0x44, 0x10,
	0x00, 0x12, 0x1b, 0x0a, 0x17, 0x43, 0x4f, 0x4d, 0x4d, 0x4f, 0x4e, 0x5f, 0x52, 0x45, 0x51, 0x55,
	0x45, 0x53, 0x54, 0x5f, 0x52, 0x45, 0x51, 0x55, 0x49, 0x52, 0x45, 0x44, 0x10, 0x01, 0x12, 0x1b,
	0x0a, 0x17, 0x43, 0x4f, 0x4d, 0x4d, 0x4f, 0x4e, 0x5f, 0x49, 0x4e, 0x56, 0x41, 0x4c, 0x49, 0x44,
	0x5f, 0x41, 0x52, 0x47, 0x55, 0x4d, 0x45, 0x4e, 0x54, 0x10, 0x02, 0x12, 0x18, 0x0a, 0x14, 0x43,
	0x4f, 0x4d, 0x4d, 0x4f, 0x4e, 0x5f, 0x55, 0x53, 0x45, 0x52, 0x5f, 0x52, 0x45, 0x51, 0x55, 0x49,
	0x52, 0x45, 0x44, 0x10, 0x03, 0x12, 0x19, 0x0a, 0x15, 0x43, 0x4f, 0x4d, 0x4d, 0x4f, 0x4e, 0x5f,
	0x46, 0x49, 0x45, 0x4c, 0x44, 0x5f, 0x52, 0x45, 0x51, 0x55, 0x49, 0x52, 0x45, 0x44, 0x10, 0x04,
	0x12, 0x1a, 0x0a, 0x16, 0x43, 0x4f, 0x4d, 0x4d, 0x4f, 0x4e, 0x5f, 0x57, 0x52, 0x4f, 0x4e, 0x47,
	0x5f, 0x53, 0x4f, 0x52, 0x54, 0x5f, 0x44, 0x41, 0x54, 0x41, 0x10, 0x05, 0x12, 0x25, 0x0a, 0x21,
	0x43, 0x4f, 0x4d, 0x4d, 0x4f, 0x4e, 0x5f, 0x53, 0x4f, 0x52, 0x54, 0x49, 0x4e, 0x47, 0x5f, 0x42,
	0x59, 0x5f, 0x46, 0x49, 0x45, 0x4c, 0x44, 0x5f, 0x46, 0x4f, 0x52, 0x42, 0x49, 0x44, 0x44, 0x45,
	0x4e, 0x10, 0x06, 0x12, 0x13, 0x0a, 0x0f, 0x43, 0x4f, 0x4d, 0x4d, 0x4f, 0x4e, 0x5f, 0x44, 0x42,
	0x5f, 0x45, 0x52, 0x52, 0x4f, 0x52, 0x10, 0x07, 0x12, 0x17, 0x0a, 0x13, 0x43, 0x4f, 0x4d, 0x4d,
	0x4f, 0x4e, 0x5f, 0x44, 0x42, 0x5f, 0x43, 0x4f, 0x4e, 0x53, 0x54, 0x52, 0x41, 0x49, 0x4e, 0x10,
	0x08, 0x12, 0x14, 0x0a, 0x10, 0x43, 0x4f, 0x4d, 0x4d, 0x4f, 0x4e, 0x5f, 0x4e, 0x4f, 0x54, 0x5f,
	0x46, 0x4f, 0x55, 0x4e, 0x44, 0x10, 0x09, 0x12, 0x18, 0x0a, 0x13, 0x41, 0x43, 0x43, 0x4f, 0x55,
	0x4e, 0x54, 0x49, 0x4e, 0x47, 0x5f, 0x49, 0x4e, 0x54, 0x45, 0x52, 0x4e, 0x41, 0x4c, 0x10, 0xe8,
	0x07, 0x12, 0x18, 0x0a, 0x13, 0x44, 0x49, 0x43, 0x54, 0x49, 0x4f, 0x4e, 0x41, 0x52, 0x59, 0x5f,
	0x49, 0x4e, 0x54, 0x45, 0x52, 0x4e, 0x41, 0x4c, 0x10, 0xd0, 0x0f, 0x12, 0x13, 0x0a, 0x0e, 0x49,
	0x4d, 0x41, 0x47, 0x45, 0x5f, 0x49, 0x4e, 0x54, 0x45, 0x52, 0x4e, 0x41, 0x4c, 0x10, 0xb8, 0x17,
	0x12, 0x16, 0x0a, 0x11, 0x4c, 0x41, 0x4e, 0x47, 0x55, 0x41, 0x47, 0x45, 0x5f, 0x49, 0x4e, 0x54,
	0x45, 0x52, 0x4e, 0x41, 0x4c, 0x10, 0xa0, 0x1f, 0x12, 0x15, 0x0a, 0x10, 0x4d, 0x45, 0x53, 0x53,
	0x41, 0x47, 0x45, 0x5f, 0x49, 0x4e, 0x54, 0x45, 0x52, 0x4e, 0x41, 0x4c, 0x10, 0x88, 0x27, 0x12,
	0x1c, 0x0a, 0x17, 0x4d, 0x45, 0x53, 0x53, 0x41, 0x47, 0x45, 0x5f, 0x4d, 0x4f, 0x42, 0x49, 0x4c,
	0x45, 0x5f, 0x49, 0x4e, 0x54, 0x45, 0x52, 0x4e, 0x41, 0x4c, 0x10, 0xf0, 0x2e, 0x12, 0x19, 0x0a,
	0x14, 0x4d, 0x45, 0x53, 0x53, 0x41, 0x47, 0x45, 0x5f, 0x57, 0x45, 0x42, 0x5f, 0x49, 0x4e, 0x54,
	0x45, 0x52, 0x4e, 0x41, 0x4c, 0x10, 0xd8, 0x36, 0x12, 0x13, 0x0a, 0x0e, 0x4f, 0x52, 0x44, 0x45,
	0x52, 0x5f, 0x49, 0x4e, 0x54, 0x45, 0x52, 0x4e, 0x41, 0x4c, 0x10, 0xc0, 0x3e, 0x22, 0x05, 0x08,
	0x0a, 0x10, 0xe7, 0x07, 0x22, 0x06, 0x08, 0xe9, 0x07, 0x10, 0xcf, 0x0f, 0x22, 0x06, 0x08, 0xd1,
	0x0f, 0x10, 0xb7, 0x17, 0x22, 0x06, 0x08, 0xb9, 0x17, 0x10, 0x9f, 0x1f, 0x22, 0x06, 0x08, 0xa1,
	0x1f, 0x10, 0x87, 0x27, 0x22, 0x06, 0x08, 0x89, 0x27, 0x10, 0xef, 0x2e, 0x22, 0x06, 0x08, 0xf1,
	0x2e, 0x10, 0xd7, 0x36, 0x22, 0x06, 0x08, 0xd9, 0x36, 0x10, 0xbf, 0x3e, 0x22, 0x09, 0x08, 0xc1,
	0x3e, 0x10, 0xff, 0xff, 0xff, 0xff, 0x07, 0x42, 0x48, 0x0a, 0x14, 0x63, 0x6f, 0x6d, 0x2e, 0x66,
	0x63, 0x70, 0x2e, 0x61, 0x70, 0x69, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x65, 0x72, 0x72, 0x73, 0x50,
	0x01, 0x5a, 0x2b, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x66, 0x63,
	0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2f, 0x61, 0x70, 0x69, 0x73, 0x2f, 0x67, 0x65,
	0x6e, 0x2f, 0x65, 0x72, 0x72, 0x73, 0x2f, 0x76, 0x31, 0x2f, 0x65, 0x72, 0x72, 0x73, 0xba, 0x02,
	0x00, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_v1_errs_errs_proto_rawDescOnce sync.Once
	file_v1_errs_errs_proto_rawDescData = file_v1_errs_errs_proto_rawDesc
)

func file_v1_errs_errs_proto_rawDescGZIP() []byte {
	file_v1_errs_errs_proto_rawDescOnce.Do(func() {
		file_v1_errs_errs_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_errs_errs_proto_rawDescData)
	})
	return file_v1_errs_errs_proto_rawDescData
}

var file_v1_errs_errs_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_v1_errs_errs_proto_goTypes = []interface{}{
	(ERROR)(0), // 0: fcp.errs.v1.errs.ERROR
}
var file_v1_errs_errs_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_v1_errs_errs_proto_init() }
func file_v1_errs_errs_proto_init() {
	if File_v1_errs_errs_proto != nil {
		return
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_errs_errs_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   0,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_v1_errs_errs_proto_goTypes,
		DependencyIndexes: file_v1_errs_errs_proto_depIdxs,
		EnumInfos:         file_v1_errs_errs_proto_enumTypes,
	}.Build()
	File_v1_errs_errs_proto = out.File
	file_v1_errs_errs_proto_rawDesc = nil
	file_v1_errs_errs_proto_goTypes = nil
	file_v1_errs_errs_proto_depIdxs = nil
}
